Print
This is the security chip required for Bally / Williams WPC-S or WPC-95 pinball machines. This is the chip you need if you are getting a G10/U22 error or converting a PCB to this game.

These are the genuine factory part, not a bootleg or hack. Keep your game original! Contains the original proprietary security code needed for these machines.
These are game specific and are NOT interchangeable.

This PIC is compatible with all versions EXCEPT 1.4H. The developer intentionally used a different PIC with that version. v1.4H Requires a #124 U22 security chip per the readme.

Part #: A-5400-50039-1

Weight 0.25 lbs

Reviews

There are no reviews yet.

Be the first to review “Theatre of Magic – Bally Security Chip v1.0 G10 / U22 / PIC16C57 – A-5400-50039-1”
Theatre of Magic - Bally Security Chip v1.0 G10 / U22 / PIC16C57 - A-5400-50039-1 Theatre of Magic – Bally...

$39.99

Out of stock